/**
 * Receives two ids, firstId and secId.
 * If firstId exists and is greater than 0, it is returned.
 * If firstId is not present, secId is taken and limited to a maximum of 10 characters.
 * If neither of the two parameters is present, an empty string is returned.
 *
 * @param {string | undefined} firstId - The initial ID.
 * @param {string | undefined} secId - The secondary ID.
 *
 * @returns {string} - The retrieved ID.
 */
export declare function getId(firstId: string | undefined, secId: string | undefined): string;
/**
 * searches the shadowroot of the transferred element for the first elemen with tag targetElementTag and sets the data-test-id.
 * @param element The Html element e.g. input.value, the element must be marked with a ref=“input”.
 * @param targetElementTag button for <button>...
 * @param dataTestId At most props.id
 * @param timeout A timeout is built in here, as the shadowroot takes a while to load.
 */
export declare function setDataTestIdInShadowRoot(element: HTMLElement, targetElementTag: string, dataTestId: string, timeout?: number): void;
